<?php

function get_berofix_hostname () {

	$hostname = @file('/etc/hostname');
	if ($hostname == false) {
		$hostname = "unknown";
	}
	else {
		$hostname = $hostname[0];
		$hostname  = str_replace("\r", "", $hostname );
		$hostname  = str_replace("\n", "", $hostname );
		$hostname  = str_replace(" ", "", $hostname );
	}
	return  $hostname;
}

function get_mtime_datestring_for_file ($filename) {

	if (file_exists($filename)) {
		$datestring = @date ("Ymd-His", filemtime($filename));
		return $datestring;
	}
	return "unknown";
}

function get_fulltrace_datestring_for_file () {

	if (file_exists ("/tmp/fulltrace-starttime.txt")) {
		$datestring = @file('/tmp/fulltrace-starttime.txt');
		$datestring = $datestring[0];
		$datestring  = str_replace("\r", "", $datestring );
		$datestring  = str_replace("\n", "", $datestring );
		$datestring  = str_replace(" ", "", $datestring );
		return $datestring;
	}
	return "unknown";
}


@session_start();
if(!isset($_SESSION['beroari_time']) || ((isset($_SESSION['beroari_time']))&&(($_SESSION['beroari_time']+1200)<time()))){
	setcookie(session_name(), '', time() - 42000,"/");
	@session_unset();
	@session_destroy();
	echo "<script>window.opener.location='../index.php?m=sip'</script>";
	echo "<script>this.window.close();</script>";
}else{
	$_SESSION['beroari_time']=time();

	exec("/bin/sync");
	if ($_GET['option']=='isgw'){
		if (file_exists("/tmp/debug-info.tar.gz")) {
			$file ="/tmp/debug-info.tar.gz";
			if (file_exists("/tmp/core")) $file.=" /tmp/core";
			//$file2 = implode("", $file);
			header("Content-Type: application/force-download");
			$downloadname = "debug-info-" . get_berofix_hostname() . "-" . get_mtime_datestring_for_file ("/tmp/debug-info.tar.gz") . ".tar";
			header("Content-Disposition: attachment; filename=" . $downloadname . "\r\n\r\n");
			passthru("tar -f - -c ".$file);
		}
	}elseif ($_GET['option']=='error'){
		if (file_exists("/tmp/isgw.err")) {
			$file = file("/tmp/isgw.err");
			$file2 = implode("", $file);
			header("Content-Type: application/force-download");
			header("Content-Disposition: attachment; filename=isgw.err\r\n\r\n");
			header("Content-Length: " . strlen($file2) . "\n\n");
			echo $file2;
		}
	}
	else if (file_exists("/tmp/DebugFiles.tar.gz")){
		header("Content-Type: application/force-download");
		$downloadname = "DebugFiles-" . get_berofix_hostname() . "-" . get_fulltrace_datestring_for_file () . ".tar.gz";
		header('Content-Disposition: attachment; filename="' . $downloadname . '"');
		header("Content-Length: " . filesize("/tmp/DebugFiles.tar.gz"));
		readfile("/tmp/DebugFiles.tar.gz");
		exit;
	}
}
?>
